Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000727Frama-CKernelpublic2011-02-17 15:442014-02-12 16:59
Reporteryakobowski 
Assigned Tovirgile 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000727: Function specification not exposed through vspec visitor method
DescriptionThe attached prints

Funspec of f is '' through visitor
It is 'behavior default:
         assigns \nothing;' through get_spec

when called on this code

//@ assigns \nothing;
void f () {}

To the best of my understanding, it should print the same things in the two cases.
TagsNo tags attached.
Attached Files? file icon vis.ml [^] (740 bytes) 2011-02-17 15:44 [Show Content]

- Relationships

-  Notes
(0004828)

2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-02-17 15:44 yakobowski New Issue
2011-02-17 15:44 yakobowski File Added: vis.ml
2011-02-17 15:45 yakobowski Additional Information Updated
2011-02-17 15:45 yakobowski Status new => assigned
2011-02-17 15:45 yakobowski Assigned To => virgile
2011-02-24 18:02 svn Checkin
2011-02-24 18:02 svn Status assigned => resolved
2011-02-24 18:02 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2012-07-23 10:42 svn Checkin
2014-02-12 16:59 Note Added: 0004828
2014-02-12 16:59 Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker